$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-3d3c91d654e70f7380cfbb4ebadd3652b591f883/rpcs3-v0.0.10-10516-3d3c91d6_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '1b0ea71fa1d699365a5c3ebab2165aefc64fa1ebc8be3f070b1bbeb517df2f42'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
